<div class="row">
    <div class="col-sm-12">
        <div class="card px-2 mt-0">
            <div class="card-header" *ngIf="showTitle || showButtonAdd || buttonText">
                <h6 class="card-title display-inline primary font-medium-0" *ngIf="showTitle && tableTitle">{{ tableTitle | translate }}</h6>
                <h6 class="card-title display-inline primary font-medium-0" *ngIf="showTitle && !tableTitle">{{ routeTitle | translate }}</h6>
                <a (click)="addRoute()" *ngIf="showButtonAdd" class="btn btn-sm btn-raised btn-secondary mb-0 text-white float-right font-small-2 cursor-pointer py-1">
                    <label class="mb-0 cursor-pointer text-white">{{ buttonText | translate }}</label>
                    <i class="{{buttonIcon}} text-white pl-1"></i>
                </a>
            </div>
            <div class="card-body">
                <div class="card-block">
                    <ng-content></ng-content>
                    <table class="table table-responsive-xs text-center table-striped">
                        <thead>
                            <tr>
                                <th class="font-small-3" *ngFor="let map of columnMaps">
                                    <a *ngIf="map.hasSort" class="cursor-pointer" [class.active]="map.isActive" (click)="emitChangeOrder(map.sortKey)">
                                        {{ map.header | translate }}
                                        <i class="cursor-pointer ft-arrow-up" [class.active]="map.sortAsc && map.isActive"></i>
                                        <i class="cursor-pointer ft-arrow-down" [class.active]="!map.sortAsc && map.isActive"></i>
                                    </a>
                                    <label class="mb-0" *ngIf="!map.hasSort">{{ map.header | translate }}</label>
                                </th>
                                <th class="font-small-3" *ngIf="tableActions.length > 0">{{ 'modules.shared.table.actions' | translate }}</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let record of records">
                                <td *ngFor="let map of columnMaps" class="font-small-2">
                                    <ng-container *ngIf="(!map.hasLink && !map.hasBadge && !map.hasColor) || (map.hasLink && (getColumnInfo(record, map.primaryKey) === '-' || getColumnInfo(record, map.linkKey) === '-'))">
                                        <span *ngIf="!map.isDate || getColumnInfo(record, map.primaryKey) === '-'">{{ getColumnInfo(record, map.primaryKey) }}</span>
                                        <span *ngIf="map.isDate && getColumnInfo(record, map.primaryKey) !== '-'">{{ getColumnInfo(record, map.primaryKey) | date: map.dateFormat }}</span>
                                    </ng-container>
                                    <ng-container *ngIf="map.hasColor">
                                        <span class="color"
                                        [class.color-red]="(map.colorValues.red).indexOf(getColumnInfo(record, map.colorKey)) > -1">
                                            {{ getColumnInfo(record, map.primaryKey) }}
                                        </span>
                                    </ng-container>
                                    <ng-container *ngIf="map.hasBadge">
                                        <span class="badge white"
                                        [class.badge-red]="hasBadgeClass(map, record, 'red')"
                                        [class.badge-green]="hasBadgeClass(map, record, 'green')"
                                        [class.badge-orange]="hasBadgeClass(map, record, 'orange')"
                                        [class.badge-blue]="hasBadgeClass(map, record, 'blue')"
                                        [class.badge-grey]="hasBadgeClass(map, record, 'grey')"
                                        [class.badge-grey-secondary]="hasBadgeClass(map, record, 'greySecondary')"
                                        [class.badge-cyan]="hasBadgeClass(map, record, 'cyan')"
                                        [class.badge-yellow]="hasBadgeClass(map, record, 'yellow')">
                                            {{ getColumnInfo(record, map.primaryKey) }}
                                        </span>
                                    </ng-container>
                                    <ng-container *ngIf="map.hasLink && getColumnInfo(record, map.primaryKey) !== '-'">
                                        <a [routerLink]="map.link + getColumnInfo(record, map.linkKey)" *ngIf="getColumnInfo(record, map.linkKey) !== '-'">{{ getColumnInfo(record, map.primaryKey) }}</a>
                                    </ng-container>
                                </td>
                                <td *ngIf="tableActions.length > 0" class="actions">
                                    <app-export-action-button *ngIf="exportAction && (!record.hideActions || record.hideActions.indexOf('export') === -1)" [idEntity]="record.id"
                                        (exportEvent)="export($event)"></app-export-action-button>
                                    <app-edit-action-button *ngIf="editAction && (!record.hideActions || record.hideActions.indexOf('edit') === -1)" [idEntity]="record.id"
                                        (editEvent)="edit($event)"></app-edit-action-button>
                                    <app-delete-action-button *ngIf="deleteAction && (!record.hideActions || record.hideActions.indexOf('delete') === -1)" [idEntity]="record.id"
                                        (deleteEvent)="delete($event)"></app-delete-action-button>
                                    <app-view-action-button *ngIf="viewAction && (!record.hideActions || record.hideActions.indexOf('view') === -1)" [idEntity]="record.id"
                                        (viewEvent)="view($event)"></app-view-action-button>
                                </td>
                            </tr>
                            <tr *ngIf="records.length === 0">
                                <td [colSpan]="totalColumns" class="no-results">{{ 'modules.shared.table.noResults' | translate }}</td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="float-right">
                                <app-pagination [totalRecords]="totalRecords" [page]="pageNumber" [perPage]="perPage"
                                    (changePageEvent)="onChangePage($event)" size="sm" *ngIf="pagination"></app-pagination>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>